local self_ID = "Yak-40"
declare_plugin(self_ID,
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

displayName  = _("Yak-40"),
fileMenuName = _("Yak-40"),
version		 = "2.5.6",
state		 = "installed",
info		 = _("The Yakovlev Yak-40 is a small, three-engined airliner that is often called the first regional jet transport aircraft. It was introduced in September 1968 with Aeroflot. Built to replace the the Ilyushin Il-12/14, its main design feature was ease of operation outside major airport service areas. It was equipped with a built-in airstair and capable of STOL operations. It also featured a unique S-duct central engine. Since the demise of the old Aeroflot, many have been converted from passenger service layout to more luxurious corporate layouts and are in use as corporate and private aircraft. Most of the Yak-40s in active service fly in the former Soviet Union and other countries."),





InputProfiles =
{
    ["Yak-40"] = current_mod_path .. '/Input/Yak-40',
},




Skins	=
	{
		{
			name	= _("Yak-40"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("Yak-40"),
			dir			    = "Missions",
		},
	},		
Options = 
	{
		{
			name		= _("Yak-40"),
			nameId		= "Yak-40",
			dir			= "Options",
		},
	},
LogBook =
	{
		{
			name		= _("Yak-40"),
			type		= "Yak-40",
		},
	},		
})

mount_vfs_liveries_path(current_mod_path ..  "/Liveries")
mount_vfs_model_path   (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_texture_path (current_mod_path ..  "/Theme/ME")--for simulator loading window

mount_vfs_sound_path   (current_mod_path ..  "/Sound")

local support_cockpit = current_mod_path..'/Cockpit/Scripts/'

----------------------------------------------------------------------------------------
MAC_flyable('Yak-40', support_cockpit, nil, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------

dofile(current_mod_path.."/Views.lua") --View Settings.

make_view_settings('Yak-40', ViewSettings, SnapViews) 

plugin_done()
